/*This is a common CSS, if you have already used it then remove it.*/
:root {
  --color-primary: #0f4ca4;
  --color-secondary: #fee900;
  --color-white: #fff;
  --color-black: #010810;
  --Blue-blue-1: #f5faff;
  --Blue-blue-2: #eff8ff;
  --Blue-blue-3: #d1e9ff;
  --Blue-blue-4: #84caff;
  --Blue-blue-5: #3a6cb4;
  --Blue-blue-9: #1849a9;
  --Blue-blue-10: #194185;
  --Gray-Mode-950: #24262d;
  --Gray-Mode-900: #363a44;
  --Gray-Mode-700: #464c5e;
  --Gray-Mode-600: #565e73;
  --Gray-Mode-500: #667085;
  --Gray-Mode-400: #8a94a6;
  --Gray-Mode-200: #d7dae0;
  --Gray-Mode-300: #b3b9c6;
  --Gray-Mode-100: #edeef1;
  --Gray-Mode-50: #f6f7f9;
  --Gray-Mode-25: #f8f9fa;
  --Orange-orange-1: #fff1e6;
  --Orange-orange-2: #ffdec2;
  --Orange-orange-6: #f70;
  --Yellow-yellow-1: #fffde6;
  --Yellow-yellow-2: #fffac2;
  --Yellow-yellow-7: #d8c600;
  --font-primary: "Poppins", sans-serif;
  --font-heading: "Playfair Display", serif;
}

/* ========== Global Styles ========== */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: var(--font-primary);
}

/* ========== Container ========== */
@media only screen and (min-width: 1800px) and (max-width: 3000px) {

  .container,
  .container-lg,
  .container-md,
  .container-sm,
  .container-xl,
  .container-xxl {
    max-width: 1752px;
  }

  .col-xxxl-11 {
    flex: 0 0 auto;
    width: 91.66666667%;
  }

  .col-xxxl-9 {
    flex: 0 0 auto;
    width: 75%;
  }

  .col-xxxl-8 {
    width: 66.6667%;
    flex: 0 0 auto;
  }
}

@media only screen and (min-width: 1439px) and (max-width: 1799px) {

  .container,
  .container-lg,
  .container-md,
  .container-sm,
  .container-xl,
  .container-xxl {
    max-width: 1320px;
  }
}

/* ========== Fonts ========== */
/* Poppins */
@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-Thin.ttf") format("truetype");
  font-weight: 100;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-ThinItalic.ttf") format("truetype");
  font-weight: 100;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-ExtraLight.ttf") format("truetype");
  font-weight: 200;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-ExtraLightItalic.ttf") format("truetype");
  font-weight: 200;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-Light.ttf") format("truetype");
  font-weight: 300;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-LightItalic.ttf") format("truetype");
  font-weight: 300;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-Medium.ttf") format("truetype");
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-MediumItalic.ttf") format("truetype");
  font-weight: 500;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-SemiBold.ttf") format("truetype");
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-SemiBoldItalic.ttf") format("truetype");
  font-weight: 600;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-Bold.ttf") format("truetype");
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-BoldItalic.ttf") format("truetype");
  font-weight: 700;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-ExtraBold.ttf") format("truetype");
  font-weight: 800;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-ExtraBoldItalic.ttf") format("truetype");
  font-weight: 800;
  font-style: italic;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-Black.ttf") format("truetype");
  font-weight: 900;
  font-style: normal;
}

@font-face {
  font-family: "Poppins";
  src: url("../../fonts/Poppins/Poppins-BlackItalic.ttf") format("truetype");
  font-weight: 900;
  font-style: italic;
}

/* Playfair Display */
@font-face {
  font-family: "Playfair Display";
  src: url("../../fonts/Playfair_Display/static/PlayfairDisplay-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "Playfair Display";
  src: url("../../fonts/Playfair_Display/static/PlayfairDisplay-Italic.ttf") format("truetype");
  font-weight: 400;
  font-style: italic;
}

@font-face {
  font-family: "Playfair Display";
  src: url("../../fonts/Playfair_Display/static/PlayfairDisplay-Medium.ttf") format("truetype");
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: "Playfair Display";
  src: url("../../fonts/Playfair_Display/static/PlayfairDisplay-MediumItalic.ttf") format("truetype");
  font-weight: 500;
  font-style: italic;
}

@font-face {
  font-family: "Playfair Display";
  src: url("../../fonts/Playfair_Display/static/PlayfairDisplay-SemiBold.ttf") format("truetype");
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: "Playfair Display";
  src: url("../../fonts/Playfair_Display/static/PlayfairDisplay-SemiBoldItalic.ttf") format("truetype");
  font-weight: 600;
  font-style: italic;
}

@font-face {
  font-family: "Playfair Display";
  src: url("../../fonts/Playfair_Display/static/PlayfairDisplay-Bold.ttf") format("truetype");
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: "Playfair Display";
  src: url("../../fonts/Playfair_Display/static/PlayfairDisplay-BoldItalic.ttf") format("truetype");
  font-weight: 700;
  font-style: italic;
}

@font-face {
  font-family: "Playfair Display";
  src: url("../../fonts/Playfair_Display/static/PlayfairDisplay-ExtraBold.ttf") format("truetype");
  font-weight: 800;
  font-style: normal;
}

@font-face {
  font-family: "Playfair Display";
  src: url("../../fonts/Playfair_Display/static/PlayfairDisplay-ExtraBoldItalic.ttf") format("truetype");
  font-weight: 800;
  font-style: italic;
}

@font-face {
  font-family: "Playfair Display";
  src: url("../../fonts/Playfair_Display/static/PlayfairDisplay-Black.ttf") format("truetype");
  font-weight: 900;
  font-style: normal;
}

@font-face {
  font-family: "Playfair Display";
  src: url("../../fonts/Playfair_Display/static/PlayfairDisplay-BlackItalic.ttf") format("truetype");
  font-weight: 900;
  font-style: italic;
}

/* Global Usage */
body {
  font-family: var(--font-primary);
}

/* ========== Typography ========== */
h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin: 0;
}

h1 {
  font: normal normal 600 72px/100% var(--font-heading);
}

h2 {
  font: normal normal 400 64px var(--font-heading);
}

h3 {
  font: normal normal 700 36px/122.222% var(--font-primary);
  letter-spacing: -0.18px;
}

h4 {
  font: normal normal 600 24px/133.333% var(--font-primary);
}

h5 {
  font: normal normal 800 20px/100% var(--font-primary);
}

h6 {
  font: normal normal 600 18px/144.444% var(--font-primary);
}

p {
  font: normal normal 500 16px/150% var(--font-primary);
  letter-spacing: 0.024px;
}

/* ========== Buttons ========== */
.btn {
  display: inline-block;
  text-decoration: none;
  border: none;
  transition: 0.5s;
}

.btn img {
  width: 20px;
  height: auto;
  transition: 0.5s;
}

.btn_primary {
  font: normal normal 400 16px/150% var(--font-primary);
  letter-spacing: 0.024px;
  color: var(--color-white);
  padding: 12px 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 4px;
  background-color: var(--color-primary);
  border-radius: 64px;
  width: fit-content;
  border-bottom: 1px solid transparent;
}

.btn_primary:hover {
  background-color: var(--color-secondary);
  color: var(--Gray-Mode-950);
  border-bottom: 1px solid var(--color-primary);
}

.btn_primary:hover img {
  filter: brightness(0) invert(0);
}

.btn_secondary {
  font: normal normal 400 16px/150% var(--font-primary);
  letter-spacing: 0.024px;
  color: var(--color-secondary);
  padding: 12px 20px;
  display: flex;
  align-items: center;
  gap: 4px;
  background-color: transparent;
  border-radius: 64px;
  border: 1px solid var(--color-secondary);
  width: fit-content;
}

.btn_secondary:hover {
  background-color: var(--color-secondary);
  color: var(--Gray-Mode-950);
}

.btn_secondary img {
  width: 20px;
  height: auto;
  transition: 0.3s;
}

.btn_secondary:hover img {
  filter: brightness(0) invert(0);
}

.btn_primary_border {
  font: normal normal 400 14px/20px var(--font-primary);
  letter-spacing: 0.035px;
  color: var(--color-primary);
  padding: 10px 16px;
  display: flex;
  align-items: center;
  gap: 4px;
  background-color: transparent;
  border-radius: 64px;
  border: 1px solid var(--color-primary);
  width: fit-content;
}

.btn_primary_border:hover {
  background-color: var(--color-secondary);
  border: 1px solid var(--color-secondary);
  color: var(--Gray-Mode-950);
}

.btn_primary_border:hover img {
  filter: brightness(0) invert(0);
}

.btn_gray {
  font: normal normal 600 16px/150% var(--font-primary);
  color: var(--Gray-Mode-950);
  padding: 11px 24px;
  display: flex;
  align-items: center;
  gap: 4px;
  background-color: transparent;
  border-radius: 64px;
  border: 1px solid var(--Gray-Mode-600);
  width: fit-content;
}

.btn_gray:hover {
  background-color: var(--color-primary);
  border: 1px solid var(--color-primary);
  color: var(--color-white);
}

.btn_gray:hover img {
  filter: brightness(0) invert(1);
}

.btn:disabled {
  background: var(--Gray-Mode-200);
  color: var(--Gray-Mode-500);
  border-bottom: 1px solid transparent;
  cursor: no-drop;
  pointer-events: unset;
  opacity: 1;
}

.form-control:focus,
.form-select:focus,
.btn-check:focus+.btn,
.btn:focus {
  box-shadow: none;
}

.rn__section__gapTop {
  padding: 64px 0;
}

.inner__gapTop {
  margin-top: 32px;
}

.main_heading {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.main_heading h4 {
  font: normal normal 600 30px / 120% var(--font-primary);
  color: var(--Gray-Mode-950);
}

.btn_withIcon {
  font: normal normal 500 12px/133.333% var(--font-primary);
  letter-spacing: 0.06px;
  background-color: var(--color-secondary);
  border-radius: 100px;
  padding: 8px 14px;
  display: flex;
  align-items: center;
  gap: 4px;
}

.btn_withIcon img {
  width: 20px !important;
  height: auto;
}

.custom-backdrop {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: #000;
  z-index: 998;
  transition: opacity 0.3s ease;
}

.custom-backdrop.show {
  opacity: 0.5;
}

/*********Tooltip CSS Start**********/

.comn_modal .modal-dialog {
  max-width: 962px;
}

.comn_modal .modal-content {
  border-radius: 16px;
  border: 1px solid #d0d0d0;
  background: var(--color-white);
  box-shadow: 0px 2.818px 30.997px 0px rgba(0, 0, 0, 0.15);
}

.comn_modal .modal-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid #d0d0d0;
  padding: 16px 24px;
}

.comn_modal .modal-header p {
  color: var(--Gray-Mode-950);
}

.comn_modal .modal-header .btn-close {
  padding: 0;
  margin: 0;
  width: 24px;
  height: 24px;
  opacity: 1;
  background: url(../../images/commonIcons/x-close.svg) no-repeat center / 100%;
}

/*=========Responsive CSS Start==============*/

@media only screen and (min-width: 1440px) and (max-width: 1799px) {
  h1 {
    font: normal normal 600 64px / 100% var(--font-heading);
  }

  h2 {
    font: normal normal 400 56px var(--font-heading);
  }

  h3 {
    font: normal normal 600 32px/122.222% var(--font-primary);
  }

  h4 {
    font: normal normal 600 22px / 133.333% var(--font-primary);
  }

  h5 {
    font: normal normal 800 18px / 100% var(--font-primary);
  }

  h6 {
    font: normal normal 800 16px / 144.444% var(--font-primary);
  }

  p {
    font: normal normal 500 14px / 150% var(--font-primary);
  }
}

@media only screen and (min-width: 1200px) and (max-width: 1439px) {
  h1 {
    font: normal normal 600 48px / 100% var(--font-heading);
  }

  h2 {
    font: normal normal 400 40px var(--font-heading);
  }

  h4 {
    font: normal normal 600 18px / 133.333% var(--font-primary);
  }

  h5 {
    font: normal normal 800 16px / 100% var(--font-primary);
  }

  h6 {
    font: normal normal 600 14px / 144.444% var(--font-primary);
  }

  p {
    font: normal normal 500 12px / 150% var(--font-primary);
  }

  .rn__section__gapTop {
    padding: 42px 0;
  }

  .inner__gapTop {
    margin-top: 24px;
  }

  .main_heading h4 {
    font: normal normal 600 24px / 120% var(--font-primary);
  }

  .btn_primary {
    font: normal normal 400 12px / 150% var(--font-primary);
    padding: 8px 16px;
    gap: 3px;
  }

  .btn_primary_border {
    font: normal normal 400 12px / 133.333% var(--font-primary);
    padding: 8px 14px;
    gap: 3px;
  }

  .btn_secondary {
    font: normal normal 400 14px / 150% var(--font-primary);
    padding: 8px 16px;
  }

  .btn img {
    width: 16px;
  }

  .btn_withIcon {
    font: normal normal 500 11px / 133.333% var(--font-primary);
    padding: 6px 12px;
    gap: 3px;
  }

  .btn_withIcon img {
    width: 16px !important;
  }
}

@media only screen and (max-width: 767px) {
  h1 {
    font: normal normal 400 20px/135% var(--font-heading);
  }

  h3 {
    font: normal normal 800 16px / 122.222% var(--font-primary);
  }

  h4 {
    font: normal normal 600 18px / 133.333% var(--font-primary);
  }

  h5 {
    font: normal normal 800 18px / 100% var(--font-primary);
  }

  h6 {
    font: normal normal 800 14px / 144.444% var(--font-primary);
  }

  p {
    font: normal normal 500 12px / 133.333% var(--font-primary);
    letter-spacing: 0.06px;
  }

  .btn_withIcon img {
    width: 16px !important;
  }

  .btn_primary {
    font: normal normal 500 12px / 133.333% var(--font-primary);
    letter-spacing: 0.06px;
    padding: 8px 14px;
  }

  .btn_secondary {
    font: normal normal 600 12px / 133.333% var(--font-primary);
    padding: 5px 12px;
    letter-spacing: 0.06px;
    border: 1px solid var(--color-secondary);
  }

  .btn_secondary img {
    width: 16px;
  }

  .btn_gray {
    font: normal normal 600 12px / 130% var(--font-primary);
    padding: 7px 12px;
    border: 1px solid var(--Gray-Mode-600);
  }

  .btn img {
    width: auto;
    height: 16px;
  }

  .btn_primary_border {
    font: normal normal 500 12px / 133.333% var(--font-primary);
    letter-spacing: 0.06px;
    padding: 8px 14px;
  }

  .main_heading {
    flex-direction: column;
    align-items: start;
    gap: 16px;
  }

  .main_heading h4 {
    font: normal normal 700 16px / 144.444% var(--font-primary);
    letter-spacing: 0.027px;
  }

  .rn__section__gapTop {
    padding: 24px 0;
  }

  .inner__gapTop {
    margin-top: 16px;
  }
}

/*=========Responsive CSS End==============*/

/*This is a common CSS, if you have already used it then remove it.*/


/*========Price & Offers CSS Start============*/
.price_offers {
  display: flex;
  flex-direction: column;
  gap: 20px;
  position: sticky;
  top: 0;
}

.price_offers .seperator {
  border-top: 1px dashed var(--Gray-Mode-200);
}

.price_offers .fare_wrpr .seperator {
  margin: 4px 0;
}

.price_offers .fare_wrpr {
  padding: 16px;
  border-radius: 8px;
  border-bottom: 1px solid var(--Gray-Mode-200);
  background: var(--color-white);
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.price_offers .fare_wrpr p {
  font-weight: 700;
  color: var(--Gray-Mode-950);
}

.price_offers .fare_wrpr .fare_breakup {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.price_offers .fare_wrpr .fare_breakup .fb_item {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.price_offers .fare_wrpr .fare_breakup .fb_item .font_medium,
.price_offers .fare_wrpr .fare_breakup .fb_item .btn {
  font: normal normal 400 12px / 16px var(--font-primary);
  color: var(--Gray-Mode-950);
  letter-spacing: 0.06px;
  display: flex;
  align-items: center;
  gap: 4px;
}

.price_offers .fare_wrpr .fare_breakup .fb_item .font_medium b {
  font-weight: 600;
}

.price_offers .fare_wrpr .fare_breakup .fb_item .btn {
  padding: 0;
}

.price_offers .fare_wrpr .fare_breakup .fb_item .btn img {
  width: 16px;
  height: auto;
}

.price_offers .fare_wrpr .fare_breakup .fb_item .btn.active img {
  transform: rotate(180deg);
}

.price_offers .fare_wrpr .font_regular,
.price_offers .fare_wrpr ul li {
  font: normal normal 400 12px / 16px var(--font-primary);
  color: var(--Gray-Mode-700);
  letter-spacing: 0.06px;
  display: block;
}

.price_offers .fare_wrpr ul li:not(:last-child) {
  margin-bottom: 4px;
}

.price_offers .fare_wrpr .fb_total {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
}

.price_offers .fare_wrpr .fb_total .font_regular {
  font: normal normal 400 10px / 14px var(--font-primary);
  letter-spacing: 0.05px;
  margin-top: 4px;
}

.price_offers .fare_wrpr .fbItem_dropdown {
  display: flex;
  flex-direction: column;
  gap: 8px;
  width: 100%;
}

.price_offers .fare_wrpr .fbItem_dropdown .top_blck,
.price_offers .fare_wrpr .items_dropdown li {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.price_offers .fare_wrpr .items_dropdown {
  list-style: none;
  padding: 0;
  margin: 0;
  display: none;
}

.price_offers .number_tollFree {
  padding: 12px;
  display: flex;
  align-items: center;
  gap: 8px;
  border-radius: 8px;
  border-bottom: 1px solid var(--Gray-Mode-200);
  background: linear-gradient(225deg, #2e90fa 0%, #175cd3 100%);
}

.price_offers .number_tollFree .icon {
  width: 40px;
  height: 40px;
  border-radius: 100px;
  background: var(--color-secondary);
  display: flex;
  align-items: center;
  justify-content: center;
}

.price_offers .number_tollFree .icon img {
  width: 24px;
  height: auto;
}

.price_offers .number_tollFree .contact_no span {
  font: normal normal 400 12px/16px var(--font-primary);
  color: var(--color-white);
  letter-spacing: 0.06px;
}

.price_offers .number_tollFree .contact_no p {
  font-weight: 600;
  color: var(--color-white);
}

.price_offers .btn_printDownload {
  padding: 16px;
  border-radius: 8px;
  background: var(--Blue-blue-3);
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
}

.price_offers .btn_printDownload .btn {
  font: normal normal 500 14px/20px var(--font-primary);
  color: var(--color-primary);
  letter-spacing: 0.035px;
  padding: 0;
  display: flex;
  align-items: center;
  gap: 8px;
}

.price_offers .btn_printDownload .btn img {
  width: 16px;
  height: auto;
}

.price_offers .btn_printDownload .divider {
  width: 1px;
  height: 24px;
  background: #d7dae0;
}

/*========Price & Offers CSS End============*/

.confirmation_section .confirmation_wrpr {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.flightReview_block {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.flightReview_block .flights_cards {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.flightReview_block .aprDep_card {
  padding: 16px;
  border-radius: 12px;
  border: 1px solid var(--Gray-Mode-200);
  background: var(--color-white);
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.flightReview_block .aprDep_card:has(.cards_chips) {
  padding: 24px 16px;
}

.flightReview_block .aprDep_card .cards_chips {
  padding: 6px 12px;
  border-radius: 50px;
  background: var(--Blue-blue-3);
  position: absolute;
  top: -14px;
}

.flightReview_block .aprDep_card .cards_chips span {
  font: normal normal 500 12px/16px var(--font-primary);
  color: var(--Gray-Mode-950);
  letter-spacing: 0.06px;
  display: block;
}

.flightReview_block .aprDep_card .flight_topInfo {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.flightReview_block .aprDep_card .flight_topInfo .flight_topLeft {
  display: flex;
  align-items: stretch;
  gap: 12px;
}

.flightReview_block .aprDep_card .flight_topInfo .fromTo {
  display: flex;
  align-items: center;
  gap: 8px;
}

.flightReview_block .aprDep_card .flight_topInfo .fromTo p {
  color: var(--Gray-Mode-950);
}

.flightReview_block .aprDep_card .flight_topInfo .fromTo span {
  display: flex;
}

.flightReview_block .aprDep_card .flight_topInfo .fromTo img {
  width: 16px;
}

.flightReview_block .aprDep_card .flight_topInfo .booking_status {
  padding: 4px 8px;
  border-radius: 4px;
  border: 1px solid #4CA40F;
  background: #4CA40F;
  backdrop-filter: blur(2px);
}

.flightReview_block .aprDep_card .flight_topInfo .booking_status .font_medium {
  color: var(--color-white);
}

.flightReview_block .aprDep_card .flight_topInfo .card_wrapper {
  display: flex;
  align-items: stretch;
  gap: 12px;
}

.flightReview_block .aprDep_card .flight_topInfo .card_item {
  display: flex;
  padding: 4px 8px;
  align-items: stretch;
  gap: 16px;
  border-radius: 4px;
}

.flightReview_block .aprDep_card .flight_topInfo .card_item.primary {
  background: var(--Blue-blue-2);
}

.flightReview_block .aprDep_card .flight_topInfo .card_item.secondary {
  background: #fffde6;
}

.flightReview_block .aprDep_card .flight_topInfo .font_medium {
  font: normal normal 500 12px/16px var(--font-primary);
  color: var(--Gray-Mode-950);
  letter-spacing: 0.06px;
  display: block;
}

.flightReview_block .aprDep_card .flight_topInfo .card_item .success {
  font-weight: 600;
  color: #418b0d;
}

.flightReview_block .aprDep_card .flight_topInfo .card_item .brdr {
  width: 1px;
  height: 100%;
  background-color: var(--Gray-Mode-400);
}

.flightReview_block .btn_rules {
  font: normal normal 500 12px/16px var(--font-primary);
  color: var(--color-primary);
  letter-spacing: 0.06px;
  display: flex;
  align-items: center;
  gap: 4px;
  padding: 0;
}

.flightReview_block .aprDep_card .flight_topInfo .btn img {
  width: 16px;
  height: auto;
}

.flight_details_cards {
  padding: 16px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
}

.flight_details_cards .fdc_blc {
  width: 100%;
  border-radius: 8px;
  border: 1px solid var(--Gray-Mode-100);
  background: var(--color-white);
  overflow: hidden;
}

.flight_details_cards .fdc_blc .flight_info {
  padding: 16px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  align-self: stretch;
  width: 100%;
}

.flight_details_cards .fdc_blc .fi_lft {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.flight_details_cards .fdc_blc .fi_lft .fil_top,
.flight_details_cards .fdc_blc .fi_lft .fil_top .fil_wrpr {
  display: flex;
  align-items: center;
  gap: 12px;
}

.flight_details_cards .fdc_blc .fi_lft .fil_top:has(.fil_wrpr) {
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
}

.flight_details_cards .fdc_blc .fil_lft img {
  width: 36px;
  height: auto;
}

.flight_details_cards .fdc_blc .flight_info p {
  color: var(--Gray-Mode-950);
  font-weight: 600;
}

.flight_details_cards .fdc_blc .flight_info span {
  font: normal normal 300 14px / 20px var(--font-primary);
  color: var(--Gray-Mode-600);
  letter-spacing: 0.035px;
  display: block;
  margin-top: 2px;
}

.flight_details_cards .fdc_blc .flight_info .operated_by {
  font-weight: 500;
  margin-top: 0;
}

.flight_details_cards .fdc_blc .fil_btm {
  font: normal normal 400 12px / 16px var(--font-primary);
  color: var(--Gray-Mode-950);
  letter-spacing: 0.06px;
  padding: 6px 12px;
  border-radius: 50px;
  background: var(--Blue-blue-1);
  display: flex;
  align-items: center;
  gap: 8px;
  width: fit-content;
}

.flight_details_cards .fdc_blc .fil_btm img {
  width: 16px;
  height: auto;
}

.flight_details_cards .fdc_blc .fi_rgt {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
  width: calc(100% - 212px);
  max-width: 625px;
}

.flight_details_cards .fdc_blc .fi_rgt .fir_lft {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2px;
}

.flight_details_cards .fdc_blc .fir_lft span {
  color: var(--Gray-Mode-400);
}

.flight_details_cards .fdc_blc .fir_lft span:last-child {
  color: var(--Gray-Mode-900);
}

.flight_details_cards .fdc_blc .fir_center {
  display: flex;
  align-items: center;
  justify-content: space-between;
  min-width: 45.21%;
  position: relative;
  z-index: 0;
}

.flight_details_cards .fdc_blc .fir_center::before {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  content: "";
  margin: auto;
  width: 100%;
  height: 1px;
  background-color: var(--Gray-Mode-200);
  z-index: -1;
}

.flight_details_cards .fdc_blc .fir_center .icon {
  display: flex;
}

.flight_details_cards .fdc_blc .fir_center .icon img {
  width: auto;
  height: 16px;
  background-color: var(--color-white);
}

.flight_details_cards .fdc_blc .fir_center .time {
  font: normal normal 600 12px/16px var(--font-primary);
  color: var(--color-primary);
  text-align: center;
  letter-spacing: 0.06px;
  background-color: var(--color-white);
  padding: 0 4px;
}

.flight_details_cards .luggage_info {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  background: linear-gradient(90deg, #fffcd9 0%, rgba(255, 255, 255, 0) 99.98%),
    #eff8ff;
  padding: 12px 20px;
}

.flight_details_cards .luggage_info .info_inr {
  display: flex;
  align-items: center;
  gap: 4px;
}

.flight_details_cards .luggage_info .info_inr img {
  width: 16px;
  height: auto;
}

.flight_details_cards .luggage_info .info_inr span {
  font: normal normal 600 12px/16px var(--font-primary);
  color: var(--Gray-Mode-950);
  display: flex;
  align-items: center;
  gap: 6px;
}

.flight_details_cards .luggage_info .info_inr span span {
  font-weight: 400;
  color: var(--Gray-Mode-800);
}

.flight_details_cards .fdc_cntr {
  width: 100%;
  position: relative;
  z-index: 0;
}

.flight_details_cards .fdc_cntr::before {
  position: absolute;
  inset: 0;
  content: "";
  width: calc(100% - 110px);
  height: 1px;
  border-top: 1px dashed var(--Gray-Mode-200);
  margin: auto;
  z-index: -1;
}

.flight_details_cards .fdc_cntr .terminals_info {
  padding: 8px 16px;
  border-radius: 58px;
  border: 1px solid var(--Gray-Mode-200);
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 12px;
  width: fit-content;
  margin: auto;
  background-color: var(--color-white);
}

.flight_details_cards .fdc_cntr .terminals_info span {
  font: normal normal 400 14px/19px var(--font-primary);
  color: var(--Gray-Mode-950);
  display: block;
}

.flight_details_cards .fdc_cntr .terminals_info .dot {
  width: 6px;
  height: 6px;
  border-radius: 50px;
  background-color: var(--Gray-Mode-200);
}

.flight_details_cards .fdc_cntr .terminals_info span:last-child {
  background: var(--Gradient-Orange,
      linear-gradient(225deg, #fd853a 0%, #ec4a0a 100%));
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.flightReview_block .flight_details_cards {
  padding: 0;
}

.flightReview_block .flight_details_cards .fdc_blc .fi_rgt .fir_comn {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 2px;
}

.flightReview_block .flight_details_cards .fdc_blc .fir_center::before {
  background-color: var(--Blue-blue-4);
}

.flightReview_block .flight_details_cards .fdc_blc .fir_center {
  min-width: 200px;
}

.flightReview_block .flight_details_cards .fdc_blc .fi_rgt {
  width: calc(100% - 172px);

}

.flightReview_block .flight_details_cards .fdc_blc .flight_info .font_regular {
  font: normal normal 500 14px / 20px var(--font-primary);
  color: var(--Gray-Mode-950);
  display: flex;
  align-items: center;
  gap: 8px;
  width: max-content;
}

.flightReview_block .flight_details_cards .fdc_blc .flight_info .font_medium {
  font: normal normal 500 12px / 16px var(--font-primary);
  color: var(--Gray-Mode-700);
  letter-spacing: 0.06px;
}

.flightReview_block .flight_details_cards .fdc_blc .flight_info .fil_rgt .font_regular {
  font-weight: 400;
  color: var(--Gray-Mode-700);
  display: block;
}

.flightReview_block .flight_details_cards .fir_comn span .brdr {
  width: 1px;
  height: 16px;
  background-color: var(--Gray-Mode-700);
  margin: 0;
}

.flightReview_block .btn_rulesMobile {
  display: none;
}

.confirmation_section {
  padding: 40px 0 96px;
  background: #f5f7fa;
  min-height: 100vh;
}

.confirmation_section .row .row {
  row-gap: 48px;
}

.confirmation_section .top_block {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.confirmation_section .top_block .success_icon img {
  width: 72px;
  height: auto;
}

.confirmation_section .top_block .bnr_msg h3 {
  font: normal normal 600 36px/44px var(--font-primary);
  color: var(--Gray-Mode-950);
  letter-spacing: -0.18px;
  margin-bottom: 12px;
}

.confirmation_section .top_block .bnr_msg p {
  font-weight: 400;
  color: var(--Gray-Mode-700);
  margin-top: 4px;
}

.confirmation_section .top_block .btn_primary {
  padding: 8px 16px;
  gap: 8px;
  background: var(--Blue-blue-10);
}

.confirmation_section .top_block .btn_copyRef {
  font: normal normal 400 16px / 150% var(--font-primary);
  letter-spacing: 0.024px;
  color: var(--color-white);
  display: flex;
  align-items: center;
  padding: 8px 16px;
  border-radius: 100px;
  background: var(--Blue-blue-10);
  position: relative;
}

.confirmation_section .top_block .btn_copyRef img {
  margin-left: 8px;
}

.confirmation_section .top_block .btn_copyRef .copy-feedback {
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background-color: var(--color-secondary);
  color: var(--Gray-Mode-950);
  border-radius: 100px;
  animation: fadein 0.4s ease;
  z-index: 10;
  display: flex;
  align-items: center;
  justify-content: center;
}

.confirmation_wrpr .traveller_details .accordion {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.confirmation_wrpr .traveller_details .accordion-item {
  border-radius: 8px;
  border: none;
  border-bottom: 1px solid var(--Gray-Mode-200);
  background: var(--color-white);
}

.confirmation_wrpr .traveller_details .accordion-button {
  font: normal normal 600 18px/144.444% var(--font-primary);
  color: var(--color-white);
  letter-spacing: 0.027px;
  display: flex;
  align-items: center;
  gap: 8px;
  padding: 12px 24px;
  border-radius: 8px !important;
  background: linear-gradient(225deg, #2e90fa 0%, #175cd3 100%);
}

.confirmation_wrpr .traveller_details .accordion-button:not(.collapsed) {
  border-radius: 8px 8px 0 0 !important;
}

.confirmation_wrpr .traveller_details .accordion-button span {
  font: normal normal 400 16px/150% var(--font-primary);
  letter-spacing: 0.024px;
  display: block;
}

.confirmation_wrpr .traveller_details .accordion-button::after {
  width: 24px;
  height: 24px;
  background-image: url(../../images/commonIcons/chevron-down-white.svg);
  background-size: 100%;
  background-repeat: no-repeat;
}

.confirmation_wrpr .traveller_details .accordion-body {
  padding: 16px;
}

.accordion-button:focus {
  box-shadow: none;
}

.confirmation_wrpr .traveller_details .traveller_info {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 12px;
}

.confirmation_wrpr .traveller_details .traveller_info .traveller_card {
  padding: 12px 16px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-radius: 8px;
  background: var(--Blue-blue-1);
}

.confirmation_wrpr .traveller_details .traveller_card .left_blc {
  display: flex;
  align-items: center;
  gap: 12px;
}

.confirmation_wrpr .traveller_details .traveller_card .icon {
  width: 40px;
  height: 40px;
}

.confirmation_wrpr .traveller_details .traveller_card img {
  width: 100%;
  height: auto;
}

.confirmation_wrpr .traveller_details .traveller_card .tac_info {
  display: flex;
  flex-direction: column;
  gap: 2px;
}

.confirmation_wrpr .traveller_details .traveller_card .tac_info span {
  font: normal normal 400 12px/16px var(--font-primary);
  color: var(--Gray-Mode-700);
  letter-spacing: 0.06px;
  display: flex;
  align-items: center;
  gap: 8px;
}

.confirmation_wrpr .traveller_details .traveller_card .tac_info p {
  font: normal normal 500 14px/20px var(--font-primary);
  color: var(--Gray-Mode-950);
  letter-spacing: 0.035px;
}

.confirmation_wrpr .traveller_details .communication_deatils {
  padding: 16px;
  border-radius: 8px;
  border: 1px solid var(--Gray-Mode-100);
  background: var(--color-white);
  display: flex;
  flex-direction: column;
  gap: 16px;
  margin-top: 12px;
}

.confirmation_wrpr .traveller_details .communication_deatils p {
  color: var(--color-primary);
}

.confirmation_wrpr .traveller_details .communication_deatils .brdr {
  width: 100%;
  height: 1px;
  border-bottom: 1px dashed var(--Gray-Mode-100);
}

.confirmation_wrpr .traveller_details .communication_deatils .cDetails_inr {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.confirmation_wrpr .traveller_details .communication_deatils .cDetails_inr span {
  font: normal normal 400 14px/20px var(--font-primary);
  color: var(--Gray-Mode-950);
  letter-spacing: 0.035px;
}

.confirmation_wrpr .traveller_details .communication_deatils .cDetails_inr span b {
  font-weight: 600;
}

.comn_modal .modal-dialog {
  max-width: 962px;
}

.comn_modal .modal-content {
  border-radius: 16px;
  border: 1px solid #d0d0d0;
  background: var(--color-white);
  box-shadow: 0px 2.818px 30.997px 0px rgba(0, 0, 0, 0.15);
}

.comn_modal .modal-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid #d0d0d0;
  padding: 16px;
}

.comn_modal .modal-header h6,
.comn_modal .modal-header p {
  color: var(--Gray-Mode-950);
}

.comn_modal .modal-header .btn-close {
  padding: 0;
  margin: 0;
  width: 20px;
  height: 20px;
  opacity: 1;
  background: url(../../images/commonIcons/x-close.svg) no-repeat center / 100%;
}

.fareRules_modal .modal-body {
  padding: 24px;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.fareRules_modal .nav-pills {
  padding: 4px;
  display: flex;
  align-items: center;
  flex-wrap: nowrap;
  gap: 8px;
  border-radius: 58px;
  background: var(--Gray-Mode-50);
}

.fareRules_modal .nav-pills li {
  width: 100%;
}

.fareRules_modal .nav-pills .nav-link {
  font: normal normal 400 14px/20px var(--font-primary);
  color: var(--Gray-Mode-600);
  text-align: center;
  letter-spacing: 0.035px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  padding: 8px 16px;
  border-radius: 60px;
  width: 100%;
}

.fareRules_modal .nav-pills .nav-link.active {
  background-color: var(--color-primary);
  color: var(--color-white);
}

.fareRules_modal .nav-pills .nav-link img {
  width: 16px;
  height: auto;
}

.fareRules_modal .nav-pills .nav-link.active img {
  filter: brightness(0) invert(1);
}

.fareRules_modal .card_fareBreakup {
  border-radius: 8px;
  border: 1px solid var(--Gray-Mode-100);
  background: var(--color-white);
  box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.05);
}

.fareRules_modal .card_fareBreakup .title {
  padding: 16px;
  border-bottom: 1px solid var(--Gray-Mode-100);
}

.fareRules_modal .card_fareBreakup .title p {
  color: var(--color-primary);
  font-weight: 600;
}

.fareRules_modal .card_fareBreakup .crd_baseFare {
  padding: 16px;
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.fareRules_modal .card_fareBreakup .crd_baseFare .baseFare_inr {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.fareRules_modal .card_fareBreakup .crd_baseFare .bfi_item {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.fareRules_modal .card_fareBreakup .crd_baseFare span {
  font: normal normal 300 14px/20px var(--font-primary);
  letter-spacing: 0.035px;
  color: var(--Gray-Mode-500);
  display: block;
}

.fareRules_modal .card_fareBreakup .crd_baseFare span b {
  font-weight: 500;
  color: var(--Gray-Mode-800);
}

.fareRules_modal .sidebar_tabContent .notes {
  padding: 16px;
  border-radius: 8px;
  background: var(--Yellow-yellow-1);
  margin-top: 24px;
}

.fareRules_modal .sidebar_tabContent .notes span {
  font: normal normal 400 12px / 16px var(--font-primary);
  letter-spacing: 0.06px;
  color: var(--Gray-Mode-900);
  display: block;
}

.fareRules_modal .sidebar_tabContent .notes span a {
  font-weight: 600;
  color: var(--Gray-Mode-900);
  text-decoration: none;
}

@media only screen and (max-width: 767px) {
  .price_offers {
    padding: 0;
    gap: 12px;
  }

  .price_offers .fare_wrpr {
    display: block;
    padding: 0;
  }

  .price_offers .fare_wrpr .top_header {
    border-radius: 8px 8px 0 0;
    padding: 12px 16px;
    border-bottom: 1px solid var(--Gray-Mode-100);
    background: linear-gradient(225deg, #2e90fa 0%, #175cd3 100%);
  }

  .price_offers .fare_wrpr p {
    font: normal normal 600 16px / 150% var(--font-primary);
    letter-spacing: 0.024px;
    color: var(--color-white);
  }

  .price_offers .fare_wrpr .fare_breakup {
    padding: 16px;
  }

  .price_offers .fare_wrpr .seperator {
    margin: 0 16px;
  }

  .price_offers .fare_wrpr .fb_total {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    padding: 16px;
  }

  .price_offers .fare_wrpr .fb_total p {
    color: var(--Gray-Mode-950);
  }

  .price_offers .fare_wrpr .fb_total .font_regular {
    font: normal normal 400 12px / 16px var(--font-primary);
    letter-spacing: 0.06px;
  }

  .flightReview_block {
    padding: 0 12px 16px;
    gap: 16px;
  }

  .flightReview_block .flights_cards {
    gap: 16px;
  }

  .flightReview_block .aprDep_card {
    padding: 0;
    border: none;
    border-radius: 0;
    gap: 12px;
  }

  .flightReview_block .aprDep_card .cards_chips {
    display: none;
  }

  .flightReview_block .aprDep_card:has(.cards_chips) {
    padding: 0;
  }

  .flightReview_block .aprDep_card .flight_topInfo .flight_topLeft {
    flex-direction: column;
    gap: 8px;
  }

  .flightReview_block .aprDep_card .flight_topInfo .fromTo p {
    font: normal normal 500 14px / 20px var(--font-primary);
    letter-spacing: 0.035px;
  }

  .flightReview_block .aprDep_card .flight_topInfo .booking_status {
    padding: 2px 6px;
  }

  .flightReview_block .aprDep_card .flight_topInfo .card_wrapper {
    gap: 4px;
  }

  .flightReview_block .aprDep_card .flight_topInfo .card_item {
    padding: 2px 6px;
    gap: 6px;
    align-items: center;
    width: fit-content;
  }

  .flightReview_block .aprDep_card .flight_topInfo .font_medium {
    font: normal normal 500 10px / 14px var(--font-primary);
    letter-spacing: 0.05px;
  }

  .flightReview_block .aprDep_card .flight_topInfo .card_item .brdr {
    height: 10px;
  }

  .flightReview_block .aprDep_card .flight_topInfo .btn {
    display: none;
  }

  .flight_details_cards .fdc_blc .flight_info {
    padding: 12px;
    align-items: flex-start;
    flex-direction: column;
    gap: 8px;
  }

  .flight_details_cards .fdc_blc .fi_lft {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
  }

  .flight_details_cards .fdc_blc .fil_btm {
    font: normal normal 400 10px / 14px var(--font-primary);
    letter-spacing: 0.05px;
    padding: 4px 8px;
    gap: 4px;
  }

  .flightReview_block .flight_details_cards .fdc_blc .fir_center {
    min-width: 62px;
    height: 100%;
    margin: auto;
  }

  .flight_details_cards .fdc_blc .fir_center .time {
    font: normal normal 600 10px / 14px var(--font-primary);
    letter-spacing: 0.05px;
    padding: 0;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 14px;
  }

  .flightReview_block .flight_details_cards .fdc_blc .fi_rgt {
    width: 100%;
    max-width: 100%;
    align-items: flex-start;
  }

  .flightReview_block .flight_details_cards .fdc_blc .fi_rgt .fir_comn {
    width: calc(50% - 31px);
    min-width: auto;
  }

  .flightReview_block .flight_details_cards .fdc_blc .fi_rgt .fir_rgt {
    align-items: end;
  }

  .flight_details_cards .fdc_blc .flight_info .fi_rgt p {
    font: normal normal 600 14px / 20px var(--font-primary);
    letter-spacing: 0.035px;
  }

  .flightReview_block .flight_details_cards .fdc_blc .flight_info .font_regular {
    font: normal normal 500 10px / 14px var(--font-primary);
    gap: 4px;
  }

  .flightReview_block .flight_details_cards .fir_comn span .brdr {
    height: 12px;
  }

  .flightReview_block .flight_details_cards .fdc_blc .flight_info .font_medium {
    font: normal normal 400 10px / 14px var(--font-primary);
    letter-spacing: 0.05px;
  }

  .flight_details_cards .fdc_blc .fi_rgt {
    gap: 4px;
  }

  .flight_details_cards .fdc_blc .fi_lft .fil_top,
  .flight_details_cards .fdc_blc .fi_lft .fil_top .fil_wrpr {
    gap: 8px;
  }

  .flight_details_cards .fdc_blc .fi_lft .fil_top:has(.fil_wrpr) {
    gap: 4px;
  }

  .flight_details_cards .fdc_blc .fi_lft .fil_top:has(.fil_wrpr) span {
    font: normal normal 400 10px / 14px var(--font-primary);
    letter-spacing: 0.05px;
  }

  .flight_details_cards .fdc_blc .fil_lft img {
    width: 28px;
  }

  .flightReview_block .flight_details_cards .fdc_blc .flight_info .fil_rgt .font_regular {
    margin: 0;
  }

  .flight_details_cards .fdc_blc .flight_info .fi_rgt .fir_rgt p,
  .flightReview_block .flight_details_cards .fdc_blc .flight_info .fir_rgt .font_regular,
  .flightReview_block .flight_details_cards .fdc_blc .flight_info .fir_rgt .font_medium {
    text-align: end;
    justify-content: end;
  }

  .flight_details_cards .fdc_blc .fi_lft .stoptime_forMobile {
    display: flex;
    align-items: center;
    gap: 8px;
  }

  .flight_details_cards .fdc_blc .fi_lft .stoptime_forMobile h6 {
    font-weight: 400;
    color: var(--color-primary);
  }

  .flight_details_cards .fdc_blc .fi_lft .stoptime_forMobile h6 b {
    font-weight: 400;
    color: #f70;
  }

  .flight_details_cards .luggage_info {
    padding: 8px 12px;
  }

  .flight_details_cards .luggage_info .info_inr {
    align-items: flex-start;
  }

  .flight_details_cards .luggage_info .info_inr img {
    width: 14px;
  }

  .flight_details_cards .luggage_info .info_inr span {
    font: normal normal 600 10px / 14px var(--font-primary);
    align-items: flex-start;
    flex-direction: column;
    gap: 2px;
  }

  .flightReview_block .flight_details_cards {
    gap: 12px;
  }

  .flight_details_cards .fdc_cntr::before {
    width: 100%;
  }

  .flight_details_cards .fdc_cntr .terminals_info {
    padding: 8px 12px;
    gap: 4px;
  }

  .flight_details_cards .fdc_cntr .terminals_info span {
    font: normal normal 400 10px / 14px var(--font-primary);
    letter-spacing: 0.05px;
  }

  .flightReview_block .btn_rulesMobile {
    display: block;
  }

  .flightReview_block .btn_rules {
    font: normal normal 500 10px / 14px var(--font-primary);
    letter-spacing: 0.05px;
    align-items: center;
    justify-content: center;
    padding: 6px 12px;
    border-radius: 100px;
    border: 1px solid var(--color-primary);
    width: fit-content;
    margin: auto;
  }

  .flightReview_block .btn_rules img {
    height: 14px;
  }

  .fareRules_modal {
    bottom: 0;
    top: unset;
    height: auto;
    transform: translateY(100%);
    transition: transform 0.15s linear;
    opacity: 1 !important;
  }

  .fareRules_modal.show {
    transform: translateY(0);
  }

  .fareRules_modal .modal-dialog {
    margin: 0;
    transform: translate(0) !important;
  }

  .fareRules_modal .modal-header {
    padding: 14px 16px;
  }

  .fareRules_modal .modal-header p {
    font: normal normal 600 16px / 24px var(--font-primary);
    letter-spacing: 0.024px;
  }

  .fareRules_modal .modal-content {
    border-radius: 16px 16px 0 0;
    border: none;
    box-shadow: none;
  }

  .fareRules_modal .modal-body {
    padding: 16px;
  }

  .fareRules_modal .nav-pills {
    display: none;
  }

  .fareRules_modal .tab-content {
    display: flex;
    flex-direction: column;
    gap: 24px;
  }

  .fareRules_modal .tab-content>.tab-pane {
    display: block !important;
    opacity: 1 !important;
  }

  .fareRules_modal .sidebar_tabContent .notes {
    padding: 12px;
    border-radius: 6px;
    margin-top: 12px;
  }

  .fareRules_modal .sidebar_tabContent .notes span {
    font: normal normal 400 10px / 14px var(--font-primary);
    letter-spacing: 0.05px;
  }

  .fareRules_modal .card_fareBreakup {
    border: none;
    box-shadow: none;
  }

  .fareRules_modal .card_fareBreakup .crd_baseFare {
    border-radius: 8px;
    border: 1px solid var(--Gray-Mode-100);
    background: var(--color-white);
    box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.05);
  }

  .fareRules_modal .card_fareBreakup .title {
    padding: 0 0 8px;
    border: none;
  }

  .fareRules_modal .card_fareBreakup .title p {
    color: var(--Gray-Mode-500);
    font-weight: 500;
  }

  .fareRules_modal .card_fareBreakup .crd_baseFare span {
    font: normal normal 300 12px / 16px var(--font-primary);
    letter-spacing: 0.06px;
  }

  .confirmation_section {
    padding: 24px 0;
  }

  .confirmation_section .row .row {
    row-gap: 16px;
  }

  .confirmation_section .flightReview_block .aprDep_card .cards_chips {
    display: block;
    position: unset;
    width: fit-content;
  }

  .confirmation_section .top_block {
    gap: 16px;
  }

  .confirmation_section .top_block .success_icon img {
    width: 46px;
  }

  .confirmation_section .top_block .bnr_msg h3 {
    font: normal normal 600 24px / 32px var(--font-primary);
    letter-spacing: unset;
    max-width: 85%;
  }

  .confirmation_section .top_block .btn_copyRef {
    font: normal normal 400 14px / 20px var(--font-primary);
    letter-spacing: 0.035px;
    padding: 6px 12px;
  }

  .confirmation_section .confirmation_wrpr {
    gap: 16px;
  }

  .confirmation_section .flightReview_block {
    padding: 0;
  }

  .confirmation_section .flightReview_block .aprDep_card {
    padding: 12px;
    border-radius: 8px;
  }

  .confirmation_wrpr .traveller_details .accordion-button {
    font: normal normal 600 16px / 24px var(--font-primary);
    letter-spacing: 0.024px;
    padding: 12px 16px;
  }

  .confirmation_wrpr .traveller_details .accordion-button span {
    font: normal normal 400 12px / 16px var(--font-primary);
    letter-spacing: 0.06px;
  }

  .confirmation_wrpr .traveller_details .accordion-button::after {
    width: 20px;
    height: 20px;
  }

  .confirmation_wrpr .traveller_details .traveller_info {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
  }

  .confirmation_wrpr .traveller_details .communication_deatils {
    padding: 12px;
    gap: 12px;
    margin-top: 16px;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
  }
}
.flightReview_block .aprDep_card .flight_topInfo .booking_status.failed {
    border: 1px solid #a4180f;
    background: #a4180f;
}
.flightReview_block .aprDep_card .flight_topInfo .booking_status.not_booked {
    border: 1px solid #FEE900;
    background: #FEE900;
}
.flightReview_block .aprDep_card .flight_topInfo .booking_status.not_booked span{
color:black;
}
.calculation_loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: rgba(36, 38, 45, 0.5);
    backdrop-filter: blur(8px);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.calculation_loader .gif {
    position: relative;
    width: 165px;
    height: 165px;
}

.calculation_loader .gif img,
.calculation_loader .logo img {
    width: 100%;
    height: 100%;
}

.calculation_loader .logo {
    position: absolute;
    inset: 0;
    width: 75px;
    height: 75px;
    margin: auto;
}

.calculation_loader h6 {
    color: var(--color-white);
    margin-top: 14px;
}
#fare-change-modal-app .modal-header p{
    font-size: 14px;
    font-weight: 600;
}
.flightReview_block .operated_by{
      font-weight: 500 !important;
}
.loading {
    background-color: #0C4DA2;
    background-image: -webkit-linear-gradient(135deg,rgba(255,255,255,.3) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.3) 50%,rgba(255,255,255,.3) 75%,transparent 75%,transparent)!important;
    background-image: -moz-linear-gradient(135deg,rgba(255,255,255,.4) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.4) 50%,rgba(255,255,255,.4) 75%,transparent 75%,transparent)!important;
    background-image: linear-gradient(135deg,rgba(255,255,255,.3) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.3) 50%,rgba(255,255,255,.3) 75%,transparent 75%,transparent)!important;
    -webkit-transition: width .5s ease-in-out;
    -moz-transition: width .5s ease-in-out;
    -o-transition: width .5s ease-in-out;
    transition: width .5s ease-in-out;
    -webkit-background-size: 50px 50px;
    background-size: 50px 50px;
    -moz-animation: 3s linear infinite animate-stripes;
    -webkit-animation: 3s linear infinite animate-stripes;
    -o-animation: 3s linear infinite animate-stripes;
    -ms-animation: animate-stripes 3s infinite linear;
    animation: 3s linear infinite animate-stripes;
    cursor: default;
    box-shadow: none
}
.btn_logg{
    display: flex !important;
    width: -webkit-fill-available;
    gap: 10px;
}
